For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSimulates Shipment
      • GETGet Simulation Status
LogoLogo
API ReferenceSimulations

Simulates Shipment

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/simulate/shipment
POST
/2026-01/simulate/shipment
$curl -X POST https://sandbox-api.shipbob.com/2026-01/simulate/shipment \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shipment_id": "string",
> "simulation": {
> "action": "ShipOrder",
> "delay": 0,
> "next": {}
> }
>}'
1{
2 "message": "string",
3 "simulation_id": "string"
4}
Simulation of shipment action endpoint.
Was this page helpful?
Previous

Create Subscription

Next

Get Simulation Status

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

Order Simulation Request Model
shipment_idstringRequired>=1 character
The ShipBob shipment id the simulation should target.
simulationobjectRequired
The simulation action definition, optionally chained with subsequent actions.

Response

Existing registration
messagestring
Optional message about the submitted simulation.
simulation_idstring
The unique identifier of the simulation run.